List History
curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/settings/sso/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/sso/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/sso/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"metadata": {
"actor": {
"kind": "ACTOR_KIND_UNSPECIFIED",
"userId": "<string>"
},
"annotations": [
{
"displayLabel": "<string>",
"displayUrl": "<string>",
"displayValue": "<string>",
"key": "<string>",
"kind": "ANNOTATION_KIND_UNSPECIFIED",
"rawValue": "<string>"
}
],
"changeKind": "CHANGE_KIND_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"syslogEventId": "<string>",
"traceId": "<string>"
},
"snapshot": {
"createdAt": "2023-11-07T05:31:56Z",
"defaultAssertionLifetime": "<string>",
"defaultIdTokenSignedResponseAlg": "OIDC_SIGNING_ALGORITHM_UNSPECIFIED",
"defaultSubjectType": "SSO_SUBJECT_TYPE_UNSPECIFIED",
"enabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"nextPageToken": "<string>"
}SSO
List History
ListHistory returns the SSO settings change history, newest first.
GET
/
api
/
v1
/
settings
/
sso
/
history
List History
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
Maximum number of results to return per page.
Pagination token from a previous response.
Response
200 - application/json
SSOSettingsServiceListHistoryResponse returns SSO settings history entries.
Was this page helpful?
⌘I